<?php
defined('TYPO3_MODE') || die('Access denied.');

call_user_func(
    function()
    {

        \TYPO3\CMS\Extbase\Utility\ExtensionUtility::configurePlugin(
            'MK.Test',
            'Test',
            [
                'RootObject' => 'list, show, update, create, new, edit'
            ],
            // non-cacheable actions
            [
                'RootObject' => 'list, show, update, create, new, edit'
            ]
        );

    // wizards
    \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addPageTSConfig(
        'mod {
            wizards.newContentElement.wizardItems.plugins {
                elements {
                    test {
                        icon = ' . \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::extPath('test') . 'Resources/Public/Icons/user_plugin_test.svg
                        title = LLL:EXT:test/Resources/Private/Language/locallang_db.xlf:tx_test_domain_model_test
                        description = LLL:EXT:test/Resources/Private/Language/locallang_db.xlf:tx_test_domain_model_test.description
                        tt_content_defValues {
                            CType = list
                            list_type = test_test
                        }
                    }
                }
                show = *
            }
       }'
    );
    }
);
